Subject: bug#19457: 24.4; exec_sentinel_error_handler and read_process_output_error_handler

From: Stefan Monnier <[email-masked]>
Date: Thu, 01 Jan 2015 11:29:09 -0500

> See completion--some; all errors are deferred to the end of the
> function. There is no way a completion table can tell completion--some
> "I am not ready" don't call me again. For example, when a completion
> table involves running an external command and that command is not
> installed in the system. In this case the completion table knows better
> i.e. no need to retry so as to save precious time.

[ I understand this may not really solve your problem, but it might
  still help you find the right solution: ]

The repetition between the different calls to the completion-table
happening during completion--some is expected to be avoided (if
problematic) via caching.

Back then I tried to come up with some alternative API that would
provide directly the ability to share more work, but couldn't come
up with anything that was really better than just using straight caching
in the backend.

        Stefan